export declare const transactionKeyEncoder: {
    writeKey(key: any, buffer: any, position: any): any;
    readKey(buffer: any, start: any, end: any): any;
};
export declare const AUDIT_STORE_OPTIONS: {
    encoding: string;
    keyEncoder: {
        writeKey(key: any, buffer: any, position: any): any;
        readKey(buffer: any, start: any, end: any): any;
    };
};
export declare function openAuditStore(rootStore: any): any;
export declare function removeAuditEntry(auditStore: any, key: number, value: any): Promise<void>;
export declare function getLastRemoved(auditStore: any): number;
export declare function setAuditRetention(retentionTime: any, defaultDelay?: number): void;
export declare const ACTION_32_BIT = 14;
export declare const ACTION_64_BIT = 15;
/** Used to indicate we have received a remote local time update */
export declare const REMOTE_SEQUENCE_UPDATE = 11;
export declare const HAS_CURRENT_RESIDENCY_ID = 512;
export declare const HAS_PREVIOUS_RESIDENCY_ID = 1024;
export declare const HAS_ORIGINATING_OPERATION = 2048;
export declare const HAS_EXPIRATION_EXTENDED_TYPE = 4096;
export declare const HAS_BLOBS = 8192;
/**
 * Creates a binary audit entry
 * @param txnTime
 * @param tableId
 * @param recordId
 * @param previousLocalTime
 * @param nodeId
 * @param username
 * @param type
 * @param encodedRecord
 * @param extendedType
 * @param residencyId
 * @param previousResidencyId
 */
export declare function createAuditEntry(txnTime: any, tableId: any, recordId: any, previousLocalTime: any, nodeId: any, username: any, type: any, encodedRecord: any, extendedType: any, residencyId: any, previousResidencyId: any, expiresAt: any, originatingOperation?: string): Buffer;
/**
 * Reads a audit entry from binary data
 * @param buffer
 * @param start
 * @param end
 */
export declare function readAuditEntry(buffer: Uint8Array, start?: number, end?: any): {
    type: any;
    tableId: any;
    nodeId: any;
    readonly recordId: import("ordered-binary").Key;
    getBinaryRecordId(): Uint8Array<ArrayBufferLike>;
    version: any;
    previousLocalTime: any;
    readonly user: import("ordered-binary").Key;
    readonly encoded: Uint8Array<ArrayBufferLike>;
    readonly size: number;
    getValue(store: any, fullRecord?: any, auditTime?: any): any;
    getBinaryValue(): Uint8Array<ArrayBufferLike>;
    extendedType: any;
    residencyId: any;
    previousResidencyId: any;
    expiresAt: any;
    originatingOperation: any;
} | {
    type?: undefined;
    tableId?: undefined;
    nodeId?: undefined;
    readonly recordId?: undefined;
    getBinaryRecordId?: undefined;
    version?: undefined;
    previousLocalTime?: undefined;
    readonly user?: undefined;
    readonly encoded?: undefined;
    readonly size?: undefined;
    getValue?: undefined;
    getBinaryValue?: undefined;
    extendedType?: undefined;
    residencyId?: undefined;
    previousResidencyId?: undefined;
    expiresAt?: undefined;
    originatingOperation?: undefined;
};
export declare class Decoder extends DataView {
    position: number;
    readInt(): any;
    readFloat64(): any;
}
